<div id="ribbon">
    <!-- breadcrumb -->
    <ol class="breadcrumb">
       
        <li>{{LANG.ORDERING}}</li>
    </ol>
    <!-- end breadcrumb -->
</div>
<div  class="pad-t-13 col-md-12">
    <div class="bg-color-white pad-15 border-ccc ">

        <div class="panel-group">
            <div class="panel panel-default">
                    <div class="panel-body bg-gray">   
                        <p >{{LANG.SEARCH}}</p>
                        <div class="row">
                            <div class="col-md-6">
                                <input type="text" class="form-control" placeholder="From Date" ng-model="formDataSearch.name">  
                            </div>
                            <div class="col-md-6">
                                <input type="text" class="form-control" placeholder="To Date" ng-model="formDataSearch.name">   
                            </div>
                        </div>
                    </div>
                    <div class="panel-footer">                                       
                        <div class="row">
                            <div class="col-md-3">
                                <table>
                                    <tr>
                                        <td> {{LANG.SHOW}} :&nbsp;</td>
                                        <td width="50">
                                            <select class="form-control">
                                                <option value="10"> 10</option>
                                                <option value="20"> 20</option>
                                                <option value="30"> 30</option>
                                                <option value="40"> 40</option>
                                            </select>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                            <div class="col-md-9">
                                <div class="pull-right">
                                    <button ng-click="getListUser()" class="btn btn-primary " type="button">{{LANG.SEARCH}}</button>
                                
                                    <button data-toggle="modal" data-target="#createForm" class="btn btn-success" type="button">{{LANG.NEW}}</button>
                                   
                                    <button ng-click="getListUser()" class="btn btn-default "  data-toggle="modal" data-target="#importFile" type="button">{{LANG.IMPORT}}</button>
                                
                                    <button ng-click="getListUser()" class="btn btn-default " type="button">{{LANG.EXPORT}}</button>
                                
                                  
                                </div>
                            </div>
                        </div>
                    
                    </div>
            </div>
        </div>

        

        <div class="clear">

        </div>
        
        <div class="table-responsive">	
            <table class="table table-hover table-bordered small">
                <thead>
                    <tr>
                        <th></th>
                        <th>InVoice No</th>
                        <th>Orderer</th>
                        <th>Recipient</th>
                        <th>Item Name</th>
                        <th>Qty</th>
                        <th>Settle Date</th>
                        <th class="text-center" width="100">{{LANG.ACTION}}</th>
                    </tr>
                </thead>
                <tbody>
                    <tr ng-repeat="(key,valueData) in listData">
                        <td>{{key+1}}</td>
                        <td>{{valueData.name}}</td>
                        <td>{{valueData.description}}</td>
                        <td></td>
                        <td></td>
                        <td></td>
                       
                        <td></td>

                        <td class="text-right">
                            <a class="btn btn-xs btn-primary" data-toggle="modal" data-target="#editForm" ng-click="updateFormData(valueData)"><i class="fa fa-edit"></i></a>
                            <a class="btn btn-xs btn-danger" data-toggle="modal" data-target="#deleteForm" ng-click="showFormDelete(valueData.id)"><i class="fa fa-trash"></i></a>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>
<div class="clear">

</div>

<div class="modal fade" id="createForm" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <form name="form" novalidate="novalidate" ng-submit="form.$valid && actionSaveData() ">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                    &times;
                </button>
                <h4 class="modal-title" id="myModalLabel">{{LANG.NEW}}</h4>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>{{LANG.NAME}} :</label>
                            <input type="text" class="form-control" name="name" ng-model="formData.name"  placeholder="" required />
                            <div ng-show="form.$submitted || form.name.$touched">
                                <div ng-show="form.name.$error.required" class="text-danger">{{LANG.NAME_REQUIRED}}</div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label>{{LANG.BRAND}} :</label>
                            <select class="form-control"ng-model="formData.brand" >
                                <option>-- Please Select --</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <label>{{LANG.CATEGORY}} :</label>
                            <select class="form-control"ng-model="formData.category" >
                                <option>-- Please Select --</option>
                            </select>
                        </div>

                        <div class="form-group">
                            <label>{{LANG.WS}} :</label>
                            <input type="text" class="form-control" name="name" ng-model="formData.ws"  placeholder=""  />
                           
                        </div>
                        <div class="form-group">
                            <label>{{LANG.QTY}} :</label>
                            <input type="text" class="form-control" name="qty" ng-model="formData.qty"  placeholder="" required />
                            <div ng-show="form.$submitted || form.qty.$touched">
                                <div ng-show="form.qty.$error.required" class="text-danger">{{LANG.NAME_REQUIRED}}</div>
                            </div>
                        </div>
                      
                      
                    </div>
                </div>
              
                
            </div>
            <div class="modal-footer">
                <button type="submit" class="btn btn-primary">
                    {{LANG.SAVE}}
                 </button>
                <button type="button" class="btn btn-default" data-dismiss="modal">
                    {{LANG.CANCEL}}
                </button>
                
            </div>
        </div><!-- /.modal-content -->
        </form>
    </div><!-- /.modal-dialog -->
</div>

<div class="modal fade" id="editForm" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <form name="formUpdate" novalidate="novalidate" ng-submit="formUpdate.$valid && actionEditData() ">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                    &times;
                </button>
                <h4 class="modal-title" id="myModalLabel">{{LANG.UPDATE}}</h4>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>{{LANG.NAME}} :</label>
                            <input type="text" class="form-control" name="name" ng-model="formUpdateData.name"  placeholder="" required />
                            <div ng-show="formUpdate.$submitted || form.name.$touched">
                                <div ng-show="formUpdate.name.$error.required" class="text-danger">{{LANG.NAME_REQUIRED}}</div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label>{{LANG.BRAND}} :</label>
                            <select class="form-control"ng-model="formUpdateData.brand" >
                                <option>-- Please Select --</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <label>{{LANG.CATEGORY}} :</label>
                            <select class="form-control"ng-model="formUpdateData.category" >
                                <option>-- Please Select --</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <label>{{LANG.WS}} :</label>
                            <input type="text" class="form-control" name="name" ng-model="formUpdateData.name"  placeholder=""  />
                            
                        </div>
                        <div class="form-group">
                            <label>{{LANG.QTY}} :</label>
                            <input type="text" class="form-control" name="name" ng-model="formUpdateData.name"  placeholder="" required />
                            <div ng-show="formUpdate.$submitted || form.name.$touched">
                                <div ng-show="formUpdate.name.$error.required" class="text-danger">{{LANG.NAME_REQUIRED}}</div>
                            </div>
                        </div>
                       
                       
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="submit" class="btn btn-primary">
                    {{LANG.SAVE}}
                 </button>
                <button type="button" class="btn btn-default" data-dismiss="modal">
                    {{LANG.CANCEL}}
                </button>
            </div>
        </div><!-- /.modal-content -->
        </form>
    </div><!-- /.modal-dialog -->
</div>

<div  nv-file-drop="" accept=".pdf" uploader="uploader" data-backdrop="false" class="modal fade" id="importFile" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog ">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                    &times;
                </button>
                <h4 class="modal-title" id="myModalLabel">Upload file ordering</h4>
            </div>
            <div class="modal-body">
                <table class="table table-bordered table-condensed">
                    <thead>
                    <tr>
                    <th width="70%">File Name</th>
                    <th ng-show="uploader.isHTML5">Proccessing</th>
                    <th>Action</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr ng-repeat="item in uploader.queue">
                    <td><strong>{{ item.file.name }}</strong></td>
                    <td ng-show="uploader.isHTML5">
                        <div class="progress" style="margin-bottom: 0;">
                        <div class="progress-bar" role="progressbar" ng-style="{ 'width': item.progress + '%' }"></div>
                        </div>
                    </td>
                    <td class="text-right" nowrap>
                        <button type="button" class="btn btn-danger btn-xs" ng-click="item.remove()">
                        <span class="glyphicon glyphicon-trash"></span>
                        </button>
                    </td>
                    </tr>
                    </tbody>
                </table>
            </div>
            <div class="modal-footer">
                 <div class="btn btn-primary" aria-label="Select files...">
                    <input  nv-file-select="" accept=".pdf" uploader="uploader" multiple type="file" >
                  </div>
                <button class="btn btn-success" type="submit" ng-click="uploader.uploadAll()" ng-disabled="!uploader.getNotUploadedItems().length">
                    <i class="fa fa-cloud-upload"></i> Uplodad file
                </button>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div>






